import { DeesElement, property, html, customElement, TemplateResult } from '@designestate/dees-element';
import * as domtools from '@designestate/dees-domtools';

declare global {
  interface HTMLElementTagNameMap {
    'upl-statuspage-header': UplStatuspageHeader;
  }
}

@customElement('upl-statuspage-header')
export class UplStatuspageHeader extends DeesElement {
  public static demo = () => html`
    <upl-statuspage-header></upl-statuspage-header>
  `;

  

  constructor() {
    super();
  }

  public render(): TemplateResult {
    return html`
      ${domtools.elementBasic.styles}
      <style>
        :host {
          display: block;
          background: #222222;
          font-family: Roboto Mono;
          color: #fff;
        }

        .mainbox {
          margin: auto;
          max-width: 900px;
        }

        .mainbox .actions {
          display: flex;
          justify-content: flex-end;
          padding: 20px 0px 40px 0px;
        }

        .mainbox .actions .actionButton {
          background: rgba(255,255,255, 0);
          font-size: 12px;
          border: 1px solid #CCC;
          padding: 6px 10px 7px 10px;
          margin-left: 10px;
          border-radius: 3px;
          cursor: pointer;
          user-select: none;
        }

        .mainbox .actions .actionButton:hover {
          background: #efefef;
          border: 1px solid #efefef;
          color: #333333;
        }

        h1 {
          margin: 0px;
          text-align: center;
          font-weight: 300;
          font-size: 35px;
        }

        h2 {
          margin: 0px;
          margin-top: 10px;
          text-align: center;
          font-weight: 300;
          font-size: 18px;
        }
      </style>
      <div class="mainbox">
        <div class="actions">
          <div class="actionButton">report new incident</div>
          <div class="actionButton">subscribe</div>
        </div>
        <h1>status.lossless.network</h1>
        <h2>STATUS BOARD</h2>
      </div>
    `;
  }
}