import { DeesElement, property, html, customElement, TemplateResult } from '@designestate/dees-element';
import * as domtools from '@designestate/dees-domtools';

declare global {
  interface HTMLElementTagNameMap {
    'upl-statuspage-statusbar': UplStatuspageStatusbar;
  }
}

@customElement('upl-statuspage-statusbar')
export class UplStatuspageStatusbar extends DeesElement {
  public static demo = () => html`
    <upl-statuspage-statusbar></upl-statuspage-statusbar>
  `;

  

  constructor() {
    super();
  }

  public render(): TemplateResult {
    return html`
      ${domtools.elementBasic.styles}
      <style>
        :host {
          padding: 20px 0px 15px 0px;
          display: block;
          background: #222222;
          font-family: Roboto Mono;
          color: #fff;
        }

        .mainbox {
          margin: auto;
          max-width: 900px;
          text-align: center;
          background: #19572E;
          line-height: 50px;
          border-radius: 3px;
        }

        
      </style>
      <div class="mainbox">
        Everything is working normally!
      </div>
    `;
  }
}